lv.lumii.layoutengine

## Enum Diagram.State

- java.lang.Object
- - java.lang.Enum<Diagram.State>
  - - lv.lumii.layoutengine.Diagram.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Diagram.State>
  Enclosing class:
    Diagram

      public static enum Diagram.State
      extends java.lang.Enum<Diagram.State>

  The states diagram can be in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTOMATIC` The diagram is in automatic mode, it is fully rearranged after every operation.
    `DEFAULT` The normal diagram state, the diagrams correctness is ensured.
    `MANUAL` The diagram is in manual mode, only line connection and rectangle nesting is maintained.
    `TRANSACTION` The diagram is in transaction mode, similar operations are stored and performed together.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Diagram.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Diagram.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Diagram.State DEFAULT

      The normal diagram state, the diagrams correctness is ensured.

    - #### TRANSACTION

          public static final Diagram.State TRANSACTION

      The diagram is in transaction mode, similar operations are stored and performed together.

    - #### MANUAL

          public static final Diagram.State MANUAL

      The diagram is in manual mode, only line connection and rectangle nesting is maintained.

    - #### AUTOMATIC

          public static final Diagram.State AUTOMATIC

      The diagram is in automatic mode, it is fully rearranged after every operation.

  - ### Method Detail

    - #### values

          public static Diagram.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Diagram.State c : Diagram.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Diagram.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null